import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { Ad_data_report_daily_report_form } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-14 13:31
 */
interface Ad_data_report_daily_report_formCU extends ConditionUtil<Ad_data_report_daily_report_formCU>{
    ID:FieldUtil<Ad_data_report_daily_report_formCU>;
    DATE:FieldUtil<Ad_data_report_daily_report_formCU>;
    AD_DELIVERY_PLAN_ID:FieldUtil<Ad_data_report_daily_report_formCU>;
    AD_INFO_ID:FieldUtil<Ad_data_report_daily_report_formCU>;
    AD_POSITION_ID:FieldUtil<Ad_data_report_daily_report_formCU>;
    AD_MATERIAL_ID:FieldUtil<Ad_data_report_daily_report_formCU>;
    REQUEST_TIMES:FieldUtil<Ad_data_report_daily_report_formCU>;
    REQUEST_PEOPLE:FieldUtil<Ad_data_report_daily_report_formCU>;
    IMPRESSION_TIMES:FieldUtil<Ad_data_report_daily_report_formCU>;
    IMPRESSION_PEOPLE:FieldUtil<Ad_data_report_daily_report_formCU>;
    CLICK_TIMES:FieldUtil<Ad_data_report_daily_report_formCU>;
    CLICK_PEOPLE:FieldUtil<Ad_data_report_daily_report_formCU>;
    ACTION_TIMES:FieldUtil<Ad_data_report_daily_report_formCU>;
    ACTION_PEOPLE:FieldUtil<Ad_data_report_daily_report_formCU>;
    CREATE_TIME:FieldUtil<Ad_data_report_daily_report_formCU>;
}

class Ad_data_report_daily_report_formCUImpl extends ConditionUtilImpl<Ad_data_report_daily_report_formCUImpl> implements Ad_data_report_daily_report_formCU{ 
    newInstance(): Ad_data_report_daily_report_formCUImpl {
        return new Ad_data_report_daily_report_formCUImpl();
    } 
    get ID(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('ID','id','主键ID', this);
    }
    get DATE(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('DATE','date','日期', this);
    }
    get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('AD_DELIVERY_PLAN_ID','adDeliveryPlanId','广告投放计划id', this);
    }
    get AD_INFO_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('AD_INFO_ID','adInfoId','广告id', this);
    }
    get AD_POSITION_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('AD_POSITION_ID','adPositionId','广告位id', this);
    }
    get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('AD_MATERIAL_ID','adMaterialId','素材id', this);
    }
    get REQUEST_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('REQUEST_TIMES','requestTimes','请求上报次数', this);
    }
    get REQUEST_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('REQUEST_PEOPLE','requestPeople','请求上报人数', this);
    }
    get IMPRESSION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('IMPRESSION_TIMES','impressionTimes','展示上报次数', this);
    }
    get IMPRESSION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('IMPRESSION_PEOPLE','impressionPeople','展示上报人数', this);
    }
    get CLICK_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('CLICK_TIMES','clickTimes','点击上报次数', this);
    }
    get CLICK_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('CLICK_PEOPLE','clickPeople','点击上报人数', this);
    }
    get ACTION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('ACTION_TIMES','actionTimes','成交上报次数', this);
    }
    get ACTION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('ACTION_PEOPLE','actionPeople','成交上报人数', this);
    }
    get CREATE_TIME(): FieldUtil<Ad_data_report_daily_report_formCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
}

@Singleton 
class Ad_data_report_daily_report_formMU extends TableUtilImpl<Ad_data_report_daily_report_formCU,Ad_data_report_daily_report_form>{ 
    tableName  = 'ad_data_report_daily_report_form';
    tableFields  = ['id','date','ad_delivery_plan_id','ad_info_id','ad_position_id','ad_material_id','request_times','request_people','impression_times','impression_people','click_times','click_people','action_times','action_people','create_time'];
    modelFields  = ['id','date','adDeliveryPlanId','adInfoId','adPositionId','adMaterialId','requestTimes','requestPeople','impressionTimes','impressionPeople','clickTimes','clickPeople','actionTimes','actionPeople','createTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): Ad_data_report_daily_report_formCU {
        return new Ad_data_report_daily_report_formCUImpl();
    }   

    static get ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('ID','id','主键ID', new Ad_data_report_daily_report_formCUImpl());
    }
    static get DATE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('DATE','date','日期', new Ad_data_report_daily_report_formCUImpl());
    }
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('AD_DELIVERY_PLAN_ID','adDeliveryPlanId','广告投放计划id', new Ad_data_report_daily_report_formCUImpl());
    }
    static get AD_INFO_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('AD_INFO_ID','adInfoId','广告id', new Ad_data_report_daily_report_formCUImpl());
    }
    static get AD_POSITION_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('AD_POSITION_ID','adPositionId','广告位id', new Ad_data_report_daily_report_formCUImpl());
    }
    static get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('AD_MATERIAL_ID','adMaterialId','素材id', new Ad_data_report_daily_report_formCUImpl());
    }
    static get REQUEST_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('REQUEST_TIMES','requestTimes','请求上报次数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get REQUEST_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('REQUEST_PEOPLE','requestPeople','请求上报人数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get IMPRESSION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('IMPRESSION_TIMES','impressionTimes','展示上报次数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get IMPRESSION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('IMPRESSION_PEOPLE','impressionPeople','展示上报人数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get CLICK_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('CLICK_TIMES','clickTimes','点击上报次数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get CLICK_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('CLICK_PEOPLE','clickPeople','点击上报人数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get ACTION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('ACTION_TIMES','actionTimes','成交上报次数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get ACTION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('ACTION_PEOPLE','actionPeople','成交上报人数', new Ad_data_report_daily_report_formCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new Ad_data_report_daily_report_formCUImpl());
    }

    get ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.ID;
    }
    get DATE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.DATE;
    }
    get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.AD_DELIVERY_PLAN_ID;
    }
    get AD_INFO_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.AD_INFO_ID;
    }
    get AD_POSITION_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.AD_POSITION_ID;
    }
    get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.AD_MATERIAL_ID;
    }
    get REQUEST_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.REQUEST_TIMES;
    }
    get REQUEST_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.REQUEST_PEOPLE;
    }
    get IMPRESSION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.IMPRESSION_TIMES;
    }
    get IMPRESSION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.IMPRESSION_PEOPLE;
    }
    get CLICK_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.CLICK_TIMES;
    }
    get CLICK_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.CLICK_PEOPLE;
    }
    get ACTION_TIMES(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.ACTION_TIMES;
    }
    get ACTION_PEOPLE(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.ACTION_PEOPLE;
    }
    get CREATE_TIME(): FieldUtil<Ad_data_report_daily_report_formCU>{ 
        return Ad_data_report_daily_report_formMU.CREATE_TIME;
    }
}
export {Ad_data_report_daily_report_formMU, Ad_data_report_daily_report_formCU}
